import manageRobot from "./controllers/manageRobot";
import initSchedule from "./schedule";
import netTool from "./service/netTool";

// 启动定时任务
initSchedule();

const server = Bun.serve({
  async fetch(req) {
    const url = new URL(req.url);
    if (url.pathname === "/ci") {
      const chat_id = url.searchParams.get("chat_id");
      if (!chat_id) return netTool.badRequest("chat_id is required!");
      manageRobot.sendCIReportByChatId(chat_id);
      return Response.json({
        code: 0,
        msg: "success",
        data: "reporting...",
      });
    }
    return netTool.ok();
  },
  port: 3000,
});

console.log(`Listening on ${server.hostname}:${server.port}`);
